Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
erro ao instalar o azureus (erro no jdk) - RESOLVIDO
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Portuguese
View previous topic :: View next topic  
Author Message
dk_millares
n00b
n00b


Joined: 23 Oct 2005
Posts: 16
Location: Engenheiro Coelho,SP, Brasil

PostPosted: Wed Feb 07, 2007 2:40 pm    Post subject: erro ao instalar o azureus (erro no jdk) - RESOLVIDO Reply with quote

Oi para todos,estou com um problema.
Quando tento instalar o azureus da o seguinte erro:
* There was a problem determining which VM to use for generation-1
* This is because the way Java is handled on Gentoo has drastically changed.
* There does not seem to be a 1.4 or 1.3 JDK installed.
* You should probably install =virtual/jdk-1.4* or =virtual/jdk-1.3*
* It is important to have either a 1.4 or 1.3 JDK installed
* in order for the old and new Java systems to coexist
* Details about this can be found at:
* http://overlays.gentoo.org/proj/java/wiki/Why_We_Need_Java14
* If you wonder why we can't just depend on the needed JDK version,
* then read https://bugs.gentoo.org/show_bug.cgi?id=144240

* You should run, and follow the advice of:
* /usr/bin/java-check-environment
* You will also likely want to follow the Java Upgrade Guide:
* http://www.gentoo.org/proj/en/java/java-upgrade.xml
* If you have problems with the guide, please see:
* http://overlays.gentoo.org/proj/java/wiki/Common_Problems

!!! ERROR: dev-java/commons-lang-2.0-r1 failed.
Call stack:
ebuild.sh, line 1562: Called dyn_setup
ebuild.sh, line 665: Called pkg_setup
ebuild.sh, line 1255: Called java-pkg_pkg_setup
java-pkg.eclass, line 61: Called die

!!! Expected VMHANDLE to be defined in the env
!!! If you need support, post the topmost build error, and the call stack if relevant.

estranho é que tenho o jdk aqui no meu gentoo, tentei uns 3 dias resolver não consegui ai precisei pedir ajuda aqui no forum;
se alguem puder me dar uma dica, ajuda, link, qualquer coisa é bem vinda.
Grato desde já


Last edited by dk_millares on Sat Feb 24, 2007 4:26 am; edited 1 time in total
Back to top
View user's profile Send private message
thiagonunes
Apprentice
Apprentice


Joined: 16 Nov 2005
Posts: 171
Location: Brasil -> RS -> Rio Grande

PostPosted: Thu Feb 08, 2007 4:40 am    Post subject: Reply with quote

emerge blackdown-jdk deve te instalar um jdk da geração 1.

Desculpe o post correndo. Qualquer coisa grita.
Back to top
View user's profile Send private message
dk_millares
n00b
n00b


Joined: 23 Oct 2005
Posts: 16
Location: Engenheiro Coelho,SP, Brasil

PostPosted: Thu Feb 08, 2007 11:16 am    Post subject: Reply with quote

Oi thiagonunes,
Obrigado pela ajuda fiz emerge do blackdown-sdk de xeretice mesmo, um pouco antes de você me ajudar e deu certo.
Obrigado mesmo, qualquer coisa peço ajuda.
[]'s
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portuguese All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum